Update contact list folder
curl --request PATCH \
--url https://openapi.enginy.ai/v1/folders/contacts/{folderId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"parentId": 123
}
'import requests
url = "https://openapi.enginy.ai/v1/folders/contacts/{folderId}"
payload = {
"name": "<string>",
"parentId": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', parentId: 123})
};
fetch('https://openapi.enginy.ai/v1/folders/contacts/{folderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "<string>",
"data": {
"id": 123,
"name": "<string>",
"parentId": 123,
"appUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Lists
Update contact list folder
Update a contact list folder name or parent. Moving a folder into one of its descendants is not allowed.
Responses include direct Enginy app URLs when available. The updated folder response includes an appUrl field. MCP agents should return those URLs to users whenever they are present in the response.
Required scope:
LISTS_WRITERate limit: 30 requests per minute
PATCH
/
v1
/
folders
/
contacts
/
{folderId}
Update contact list folder
Authorizations
Path Parameters
Folder ID
Body
application/json
⌘I